org.eclipse.incquery.patternlanguage.emf

## Class EMFPatternLanguageServiceProvider

- java.lang.Object
- - org.eclipse.xtext.resource.IGlobalServiceProvider.ResourceServiceProviderImpl
  - - org.eclipse.incquery.patternlanguage.emf.EMFPatternLanguageServiceProvider

- All Implemented Interfaces:
    org.eclipse.xtext.resource.IGlobalServiceProvider

      public class EMFPatternLanguageServiceProvider
      extends org.eclipse.xtext.resource.IGlobalServiceProvider.ResourceServiceProviderImpl

  Author:
    Zoltan Ujhelyi

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.xtext.resource.IGlobalServiceProvider

      `org.eclipse.xtext.resource.IGlobalServiceProvider.ResourceServiceProviderImpl`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EMFPatternLanguageServiceProvider(org.eclipse.xtext.resource.IResourceServiceProvider.Registry registry, org.eclipse.xtext.resource.IResourceServiceProvider serviceProvider)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T> T` | `findService(org.eclipse.emf.ecore.EObject eObject, java.lang.Class<T> serviceClazz)`

    - ### Methods inherited from class org.eclipse.xtext.resource.IGlobalServiceProvider.ResourceServiceProviderImpl

      `findService`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EMFPatternLanguageServiceProvider

          @Inject
          public EMFPatternLanguageServiceProvider(org.eclipse.xtext.resource.IResourceServiceProvider.Registry registry,
                                                           org.eclipse.xtext.resource.IResourceServiceProvider serviceProvider)

  - ### Method Detail

    - #### findService

          public <T> T findService(org.eclipse.emf.ecore.EObject eObject,
                                   java.lang.Class<T> serviceClazz)

      Specified by:
        `findService` in interface `org.eclipse.xtext.resource.IGlobalServiceProvider`
      Overrides:
        `findService` in class `org.eclipse.xtext.resource.IGlobalServiceProvider.ResourceServiceProviderImpl`